## openexr 3.1.3

=== debian/changelog ===
openexr (3.1.3-2) experimental; urgency=medium

  * debian/control: move Indep deps to Arch-dependent

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 03 Dec 2021 21:59:58 +0100

openexr (3.1.3-1) experimental; urgency=medium

  * New upstream release
    - debian/: SONAME bump 2 -> 3
    - debian/patches/: patchset dropped (obsolete)
  * debian/control:
    - S-V bump 4.5.1 -> 4.6.0 (no changes needed)
    - Homepage field updated
  * debian/: documentation files re-worked massively
  * debian/rules: script simplified
  * debian/upstream/metadata: new file added
  * debian/copyright: entries updated
  * debian/libopenexr25.lintian-overrides: file dropped
  * debian/openexr.maintscript: file dropped
  * debian/libopenexr-dev.maintscript: file dropped

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 24 Nov 2021 14:23:19 +0100
