=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

INSTDIR = debian/tmp

%:
	dh $@ -Bbuild -Scmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DDOCS=ON

override_dh_install:
	rm -f $(INSTDIR)/usr/share/doc/OpenEXR/sphinx/_static/doctools.js
	rm -f $(INSTDIR)/usr/share/doc/OpenEXR/sphinx/_static/jquery.js
	rm -f $(INSTDIR)/usr/share/doc/OpenEXR/sphinx/_static/language_data.js
	rm -f $(INSTDIR)/usr/share/doc/OpenEXR/sphinx/_static/searchtools.js
	rm -f $(INSTDIR)/usr/share/doc/OpenEXR/sphinx/_static/underscore.js
	rm -f $(INSTDIR)/usr/share/doc/OpenEXR/sphinx/.buildinfo
	rm -rf $(INSTDIR)/usr/share/doc/OpenEXR/sphinx/.doctrees
	dh_install

override_dh_auto_test:
