=== debian/changelog ===
openexr (3.1.5-5) unstable; urgency=medium

  * Team upload.

  [ Andreas Metzler ]
  * Make versioning of libilmbase-dev Breaks/Replaces binNMU-safe.
    (Closes: #1033617)

  [ Matteo F. Vescovi ]
  * debian/control: S-V bump 4.6.1 -> 4.6.2 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 23 Apr 2023 18:46:33 +0200

openexr (3.1.5-4) unstable; urgency=medium

  * d/control: Add missing zlib1g-dev dependency. Closes: #1017516
  * d/control: Run wrap-and-sort
  * d/control: Bump Std-Vers to 4.6.1 no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Wed, 17 Aug 2022 12:44:50 +0200

openexr (3.1.5-3) unstable; urgency=medium

  * d/control: Add missing Breaks/Replaces on libilmbase-dev. Closes: #1009308

 -- Mathieu Malaterre <malat@debian.org>  Wed, 17 Aug 2022 09:32:51 +0200

openexr (3.1.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Mathieu Malaterre <malat@debian.org>  Tue, 16 Aug 2022 18:52:29 +0200

openexr (3.1.5-1) experimental; urgency=medium

  * Team upload.

  [ Mathieu Malaterre ]
  * d/rules: Do not always build documentation

  [ Matteo F. Vescovi ]
  * New upstream release
  * debian/control: drop myself from Uploaders

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 28 Apr 2022 00:02:26 +0200

openexr (3.1.4-1) experimental; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 04 Feb 2022 00:00:31 +0100
