=== debian/control ===
--- 
+++ 
@@ -2,20 +2,17 @@
 Section: graphics
 Priority: optional
 Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
-Uploaders:
- Mathieu Malaterre <malat@debian.org>,
- Matteo F. Vescovi <mfv@debian.org>
-Build-Depends:
- cmake,
- debhelper-compat (= 13),
- dh-buildinfo,
- doxygen,
- libimath-dev (>= 3.1.2),
- pkg-config,
- python3-breathe,
- python3-sphinx,
- zlib1g-dev
-Standards-Version: 4.6.0
+Uploaders: Mathieu Malaterre <malat@debian.org>
+Build-Depends: cmake,
+               debhelper-compat (= 13),
+               dh-buildinfo,
+               doxygen,
+               libimath-dev (>= 3.1.2),
+               pkg-config,
+               python3-breathe,
+               python3-sphinx,
+               zlib1g-dev
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.openexr.com
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/openexr.git
@@ -25,11 +22,8 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: runtime files for the OpenEXR image library
  OpenEXR is a high dynamic-range (HDR) image file format developed by
  Industrial Light & Magic for use in computer imaging applications.
@@ -54,12 +48,13 @@
 Package: libopenexr-dev
 Section: libdevel
 Architecture: any
-Pre-Depends:
- ${misc:Pre-Depends}
-Depends:
- libimath-dev (>= 3.1.2),
- libopenexr-3-1-30 (= ${binary:Version}),
- ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Replaces: libilmbase-dev (<< 2.5.7-3~)
+Breaks: libilmbase-dev (<< 2.5.7-3~)
+Depends: libimath-dev (>= 3.1.2),
+         libopenexr-3-1-30 (= ${binary:Version}),
+         zlib1g-dev,
+         ${misc:Depends}
 Description: development files for the OpenEXR image library
  OpenEXR is a high dynamic-range (HDR) image file format developed by
  Industrial Light & Magic for use in computer imaging applications.
@@ -85,10 +80,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends:
- libjs-jquery,
- sphinx-common,
- ${misc:Depends}
+Depends: libjs-jquery, sphinx-common, ${misc:Depends}
 Description: documentation and examples for the OpenEXR image format
  OpenEXR is a high dynamic-range (HDR) image file format developed by
  Industrial Light & Magic for use in computer imaging applications.
@@ -112,11 +104,8 @@
 Package: openexr
 Architecture: any
 Multi-Arch: foreign
-Pre-Depends:
- ${misc:Pre-Depends}
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: exrtools
 Description: command-line tools for the OpenEXR image format
  OpenEXR is a high dynamic-range (HDR) image file format developed by
